import { IOutputDto, IOutputItemDto } from "./notebookCommon.js";
import { INotebookCellExecution } from "@codingame/monaco-vscode-972e8507-3a64-566d-8bc0-b78993998562-common/vscode/vs/workbench/contrib/notebook/common/notebookExecutionStateService";
export declare enum CellExecutionUpdateType {
    Output = 1,
    OutputItems = 2,
    ExecutionState = 3
}
export interface ICellExecuteOutputEdit {
    editType: CellExecutionUpdateType.Output;
    cellHandle: number;
    append?: boolean;
    outputs: IOutputDto[];
}
export interface ICellExecuteOutputItemEdit {
    editType: CellExecutionUpdateType.OutputItems;
    append?: boolean;
    outputId: string;
    items: IOutputItemDto[];
}
export interface ICellExecutionParticipant {
    onWillExecuteCell(executions: INotebookCellExecution[]): Promise<void>;
}
